org.eclnt.jsfserver.elements.componentnodes

## Class CLIPBOARDGETNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIPBOARDGETNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIPBOARDGETNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIPBOARDGETNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIPBOARDGETNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIPBOARDGETNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIPBOARDGETNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIPBOARDGETNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIPBOARDGETNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIPBOARDGETNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `CLIPBOARDGETNode` | `bindValue(IDynamicContentBindingObject value)`
    `CLIPBOARDGETNode` | `setActionListener(java.lang.String value)`
    `CLIPBOARDGETNode` | `setAdapterbinding(java.lang.String value)`
    `CLIPBOARDGETNode` | `setComment(java.lang.String value)`
    `CLIPBOARDGETNode` | `setConfiginfo(java.lang.String value)`
    `CLIPBOARDGETNode` | `setId(java.lang.String value)`
    `CLIPBOARDGETNode` | `setRendered(boolean value)`
    `CLIPBOARDGETNode` | `setRendered(java.lang.String value)`
    `CLIPBOARDGETNode` | `setTrigger(java.lang.String value)`
    `CLIPBOARDGETNode` | `setValue(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIPBOARDGETNode

          public CLIPBOARDGETNode()

  - ### Method Detail

    - #### setId

          public CLIPBOARDGETNode setId(java.lang.String value)

    - #### setActionListener

          public CLIPBOARDGETNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIPBOARDGETNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIPBOARDGETNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIPBOARDGETNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setComment

          public CLIPBOARDGETNode setComment(java.lang.String value)

    - #### bindComment

          public CLIPBOARDGETNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIPBOARDGETNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIPBOARDGETNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIPBOARDGETNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIPBOARDGETNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIPBOARDGETNode setRendered(boolean value)

    - #### setTrigger

          public CLIPBOARDGETNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public CLIPBOARDGETNode bindTrigger(IDynamicContentBindingObject value)

    - #### setValue

          public CLIPBOARDGETNode setValue(java.lang.String value)

    - #### bindValue

          public CLIPBOARDGETNode bindValue(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.